Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

[Telegraf/Grafana/InfluxDb template] Ubuntu changed from 14.04 to 18.04 #6276

Merged
merged 4 commits into from Jul 8, 2019

Conversation

@Azkel
Copy link
Contributor

commented Jul 3, 2019

Best Practice Checklist

Check these items before submitting a PR... See the Contribution Guide for the full detail: https://github.com/Azure/azure-quickstart-templates/blob/master/1-CONTRIBUTION-GUIDE/README.md

  1. uri's compatible with all clouds (Stack, China, Government)
  2. Staged artifacts use _artifactsLocation & _artifactsLocationSasToken
  3. Use a parameter for resource locations with the defaultValue set to resourceGroup().location
  4. Folder names for artifacts (nestedtemplates, scripts, DSC)
  5. Use literal values for apiVersion (no variables)
  6. Parameter files (GEN-UNIQUE for value generation and no "changemeplease" values)
  7. $schema and other uris use https
  8. Use uniqueString() whenever possible to generate names for resources. While this is not required, it's one of the most common failure points in a deployment.
  9. Update the metadata.json with the current date

For details: https://github.com/Azure/azure-quickstart-templates/blob/master/1-CONTRIBUTION-GUIDE/best-practices.md

  • - Please check this box once you've submitted the PR if you've read through the Contribution Guide and best practices checklist.

Changelog

  • Telegraf-InfluxDB-Grafana template - changed Ubuntu version from 14.04 LTS to 18.04 to make sure that Ansible (which is installed by script during deployment) can get properly installed. 14.04 uses Python 2.7 as default one, which makes Ansible throw deprecated error, as it no longer supports this Python version. By changing Ubuntu version to 18.4 template deploys properly.
Ubuntu version changed from 14.04 to 18.04 LTS in
Telegraf-InfluxDB-Grafana template

Change required to be able to properly deploy template, as current
Ansible version does not allow to run under Python 2.7, which is default
in Ubuntu 14.04.

18.04 uses supported Python3 version, which allows template (and scripts
that runs afterwards) to run properly.

@Azkel Azkel changed the title Ubuntu version changed from 14.04 to 18.04 LTS in [Telegraf/Grafana/InfluxDb template] Ubuntu changed from 14.04 to 18.04 Jul 3, 2019

bmoore-msft added some commits Jul 8, 2019

@bmoore-msft bmoore-msft merged commit f0b130e into Azure:master Jul 8, 2019

2 checks passed

Azure-QuickStart-Templates-Public #15 succeeded with issues
Details
license/cla All CLA requirements met.
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
2 participants
You can’t perform that action at this time.